``` ini

BenchmarkDotNet=v0.13.0, OS=Windows 10.0.19042.1110 (20H2/October2020Update)
AMD Ryzen 9 3950X, 1 CPU, 32 logical and 16 physical cores
.NET SDK=6.0.100-preview.1.21103.13
  [Host]     : .NET 5.0.7 (5.0.721.25508), X64 RyuJIT
  DefaultJob : .NET 5.0.7 (5.0.721.25508), X64 RyuJIT


```
|                                       Method | LineCount |             Mean |          Error |         StdDev |           Median |        Gen 0 |        Gen 1 |      Gen 2 |     Allocated |
|--------------------------------------------- |---------- |-----------------:|---------------:|---------------:|-----------------:|-------------:|-------------:|-----------:|--------------:|
|                                 **RecordParser** |         **0** |      **5,073.88 μs** |      **24.638 μs** |      **23.046 μs** |      **5,070.53 μs** |      **23.4375** |       **7.8125** |          **-** |        **206 KB** |
|                                       ChoEtl |         0 |         55.91 μs |       0.080 μs |       0.071 μs |         55.93 μs |       1.2207 |       0.6104 |          - |         10 KB |
|                            CommonLibrary_Net |         0 |         26.46 μs |       0.106 μs |       0.099 μs |         26.46 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                          Csv |         0 |         26.21 μs |       0.089 μs |       0.078 μs |         26.21 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                      CSVFile |         0 |         26.33 μs |       0.127 μs |       0.118 μs |         26.36 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                    CsvHelper |         0 |         30.41 μs |       0.133 μs |       0.124 μs |         30.39 μs |       2.8687 |       1.4343 |          - |         24 KB |
|                           CsvTextFieldParser |         0 |         26.26 μs |       0.100 μs |       0.094 μs |         26.27 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                     CsvTools |         0 |         30.99 μs |       0.257 μs |       0.228 μs |         30.95 μs |       0.1526 |       0.0916 |          - |          1 KB |
|                                     Ctl_Data |         0 |         25.23 μs |       0.149 μs |       0.132 μs |         25.25 μs |       1.5259 |       0.7629 |          - |         13 KB |
|                                    Cursively |         0 |         28.56 μs |       0.152 μs |       0.142 μs |         28.59 μs |       0.4272 |       0.2136 |          - |          4 KB |
|                                FastCsvParser |         0 |         40.04 μs |       0.196 μs |       0.184 μs |         40.04 μs |      46.7529 |      41.4429 |    38.1470 |        196 KB |
|                                    FlatFiles |         0 |         26.08 μs |       0.104 μs |       0.097 μs |         26.07 μs |       1.6174 |       0.7935 |          - |         13 KB |
|                                    FluentCsv |         0 |         25.97 μs |       0.116 μs |       0.103 μs |         25.96 μs |       0.5188 |       0.2441 |          - |          4 KB |
|                                    HomeGrown |         0 |         25.91 μs |       0.131 μs |       0.123 μs |         25.92 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                    LinqToCsv |         0 |         27.76 μs |       0.133 μs |       0.118 μs |         27.78 μs |       1.6479 |       0.8240 |          - |         14 KB |
|                          LumenWorksCsvReader |         0 |         25.68 μs |       0.065 μs |       0.054 μs |         25.69 μs |       1.5564 |       0.7935 |          - |         13 KB |
|                              mgholam_fastCSV |         0 |         41.16 μs |       0.238 μs |       0.211 μs |         41.15 μs |      48.4009 |      41.9312 |    37.9639 |        211 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |         0 |         31.95 μs |       0.111 μs |       0.087 μs |         31.96 μs |       3.7231 |       1.8921 |          - |         31 KB |
|                                    NReco_Csv |         0 |         27.50 μs |       0.191 μs |       0.170 μs |         27.54 μs |      10.2844 |       2.5940 |          - |         85 KB |
|                            ServiceStack_Text |         0 |         26.60 μs |       0.166 μs |       0.155 μs |         26.60 μs |       0.5188 |       0.2441 |          - |          4 KB |
|                                 Sky_Data_Csv |         0 |         62.83 μs |       0.588 μs |       0.550 μs |         62.83 μs |      31.6772 |      29.3579 |    19.7144 |        354 KB |
|                                 string_Split |         0 |         25.63 μs |       0.132 μs |       0.124 μs |         25.61 μs |       0.5188 |       0.2441 |          - |          4 KB |
|                       SoftCircuits_CsvParser |         0 |         26.54 μs |       0.102 μs |       0.096 μs |         26.54 μs |       0.5798 |       0.2747 |          - |          5 KB |
|                              Sylvan_Data_Csv |         0 |         27.51 μs |       0.146 μs |       0.136 μs |         27.47 μs |       0.8545 |       0.4272 |          - |          7 KB |
|                                TinyCsvReader |         0 |         26.19 μs |       0.150 μs |       0.140 μs |         26.22 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                 TxtCsvHelper |         0 |         26.86 μs |       0.114 μs |       0.107 μs |         26.87 μs |       0.8545 |       0.4272 |          - |          7 KB |
|                                 **RecordParser** |         **1** |      **5,088.36 μs** |      **17.550 μs** |      **16.416 μs** |      **5,081.96 μs** |      **23.4375** |       **7.8125** |          **-** |        **208 KB** |
|                                       ChoEtl |         1 |        263.71 μs |       0.475 μs |       0.444 μs |        263.72 μs |       9.7656 |       4.8828 |          - |         82 KB |
|                            CommonLibrary_Net |         1 |         47.18 μs |       0.182 μs |       0.170 μs |         47.16 μs |       2.9907 |       1.5259 |          - |         25 KB |
|                                          Csv |         1 |         69.67 μs |       0.481 μs |       0.450 μs |         69.91 μs |       3.4180 |       1.7090 |          - |         28 KB |
|                                      CSVFile |         1 |         30.97 μs |       0.131 μs |       0.122 μs |         30.98 μs |       1.0986 |       0.5493 |          - |          9 KB |
|                                    CsvHelper |         1 |         34.95 μs |       0.194 μs |       0.172 μs |         34.96 μs |       2.9907 |       1.5259 |          - |         25 KB |
|                           CsvTextFieldParser |         1 |         31.25 μs |       0.182 μs |       0.170 μs |         31.21 μs |       1.0376 |       0.4883 |          - |          9 KB |
|                                     CsvTools |         1 |         39.05 μs |       0.151 μs |       0.141 μs |         39.06 μs |       3.9673 |       1.3428 |          - |         33 KB |
|                                     Ctl_Data |         1 |         29.39 μs |       0.221 μs |       0.207 μs |         29.37 μs |       1.9226 |       0.9766 |          - |         16 KB |
|                                    Cursively |         1 |         32.52 μs |       0.092 μs |       0.086 μs |         32.52 μs |       0.6714 |       0.3662 |          - |          6 KB |
|                                FastCsvParser |         1 |         46.87 μs |       0.166 μs |       0.147 μs |         46.90 μs |      47.3633 |      41.5649 |    38.0859 |        203 KB |
|                                    FlatFiles |         1 |         37.20 μs |       0.185 μs |       0.173 μs |         37.21 μs |       2.3193 |       1.1597 |          - |         19 KB |
|                                    FluentCsv |         1 |         29.24 μs |       0.220 μs |       0.195 μs |         29.28 μs |       0.7935 |       0.3967 |          - |          7 KB |
|                                    HomeGrown |         1 |         30.79 μs |       0.164 μs |       0.154 μs |         30.81 μs |       0.7935 |       0.3662 |          - |          7 KB |
|                                    LinqToCsv |         1 |         34.39 μs |       0.133 μs |       0.124 μs |         34.42 μs |       2.3804 |       1.2207 |          - |         20 KB |
|                          LumenWorksCsvReader |         1 |         31.49 μs |       0.192 μs |       0.170 μs |         31.54 μs |       1.4648 |       0.7324 |          - |         12 KB |
|                              mgholam_fastCSV |         1 |         47.05 μs |       0.163 μs |       0.152 μs |         47.05 μs |      48.5229 |      42.5415 |    37.9028 |        213 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |         1 |         71.18 μs |       0.148 μs |       0.138 μs |         71.17 μs |      11.2305 |       2.8076 |          - |         92 KB |
|                                    NReco_Csv |         1 |         31.87 μs |       0.076 μs |       0.068 μs |         31.87 μs |      10.6201 |       3.5400 |          - |         87 KB |
|                            ServiceStack_Text |         1 |         29.86 μs |       0.141 μs |       0.131 μs |         29.85 μs |       0.8240 |       0.3967 |          - |          7 KB |
|                                 Sky_Data_Csv |         1 |         67.36 μs |       0.942 μs |       0.881 μs |         67.50 μs |      31.7383 |      29.7852 |    19.5313 |        356 KB |
|                                 string_Split |         1 |         28.87 μs |       0.105 μs |       0.099 μs |         28.87 μs |       0.7935 |       0.3967 |          - |          6 KB |
|                       SoftCircuits_CsvParser |         1 |         29.32 μs |       0.104 μs |       0.097 μs |         29.32 μs |       0.8850 |       0.4578 |          - |          7 KB |
|                              Sylvan_Data_Csv |         1 |         34.89 μs |       0.414 μs |       0.387 μs |         35.01 μs |       1.8311 |       0.9155 |          - |         15 KB |
|                                TinyCsvReader |         1 |         32.27 μs |       0.137 μs |       0.121 μs |         32.24 μs |       1.2817 |       0.6714 |          - |         11 KB |
|                                 TxtCsvHelper |         1 |         31.03 μs |       0.177 μs |       0.157 μs |         31.08 μs |       1.0986 |       0.5493 |          - |          9 KB |
|                                 **RecordParser** |        **10** |      **5,083.30 μs** |      **24.366 μs** |      **22.792 μs** |      **5,086.13 μs** |      **23.4375** |       **7.8125** |          **-** |        **216 KB** |
|                                       ChoEtl |        10 |        856.50 μs |       1.792 μs |       1.677 μs |        856.85 μs |      20.5078 |       9.7656 |          - |        170 KB |
|                            CommonLibrary_Net |        10 |        192.00 μs |       0.589 μs |       0.551 μs |        191.99 μs |      19.7754 |       4.6387 |          - |        163 KB |
|                                          Csv |        10 |        245.27 μs |       1.882 μs |       1.761 μs |        245.19 μs |      14.6484 |       3.4180 |          - |        120 KB |
|                                      CSVFile |        10 |         55.30 μs |       0.128 μs |       0.119 μs |         55.29 μs |       6.4087 |       2.1362 |          - |         52 KB |
|                                    CsvHelper |        10 |         55.24 μs |       0.370 μs |       0.346 μs |         55.41 μs |       3.5400 |       1.7700 |          - |         29 KB |
|                           CsvTextFieldParser |        10 |         59.22 μs |       0.348 μs |       0.326 μs |         59.21 μs |       5.7373 |       1.9531 |          - |         47 KB |
|                                     CsvTools |        10 |         83.72 μs |       0.468 μs |       0.438 μs |         83.75 μs |       6.3477 |       2.0752 |          - |         52 KB |
|                                     Ctl_Data |        10 |         42.03 μs |       0.162 μs |       0.152 μs |         42.03 μs |       4.5776 |       1.5259 |          - |         38 KB |
|                                    Cursively |        10 |         44.45 μs |       0.181 μs |       0.170 μs |         44.46 μs |       1.5869 |       0.7935 |          - |         13 KB |
|                                FastCsvParser |        10 |         68.57 μs |       0.275 μs |       0.258 μs |         68.61 μs |      49.8047 |      41.7480 |    37.5977 |        228 KB |
|                                    FlatFiles |        10 |        100.39 μs |       0.482 μs |       0.451 μs |        100.49 μs |       5.8594 |       1.9531 |          - |         48 KB |
|                                    FluentCsv |        10 |         42.55 μs |       0.199 μs |       0.186 μs |         42.53 μs |       3.3569 |       1.7090 |          - |         28 KB |
|                                    HomeGrown |        10 |         52.82 μs |       0.196 μs |       0.173 μs |         52.83 μs |       2.1973 |       1.0986 |          - |         18 KB |
|                                    LinqToCsv |        10 |         71.00 μs |       0.488 μs |       0.456 μs |         70.94 μs |       8.6670 |       2.9297 |          - |         72 KB |
|                          LumenWorksCsvReader |        10 |         57.92 μs |       0.171 μs |       0.160 μs |         57.92 μs |       7.9956 |       2.6855 |          - |         66 KB |
|                              mgholam_fastCSV |        10 |         54.27 μs |       0.112 μs |       0.104 μs |         54.25 μs |      49.6826 |      43.2739 |    37.8418 |        224 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |        10 |        234.09 μs |       0.804 μs |       0.752 μs |        234.43 μs |      64.9414 |       8.3008 |          - |        530 KB |
|                                    NReco_Csv |        10 |         48.69 μs |       0.275 μs |       0.244 μs |         48.71 μs |      11.9019 |            - |          - |         98 KB |
|                            ServiceStack_Text |        10 |         47.35 μs |       0.148 μs |       0.138 μs |         47.36 μs |       3.7842 |       1.8921 |          - |         31 KB |
|                                 Sky_Data_Csv |        10 |         88.50 μs |       0.569 μs |       0.504 μs |         88.43 μs |      36.1328 |      33.4473 |    21.2402 |        378 KB |
|                                 string_Split |        10 |         40.86 μs |       0.280 μs |       0.262 μs |         40.87 μs |       3.3569 |       1.7090 |          - |         28 KB |
|                       SoftCircuits_CsvParser |        10 |         42.79 μs |       0.247 μs |       0.231 μs |         42.77 μs |       3.1128 |       1.5869 |          - |         26 KB |
|                              Sylvan_Data_Csv |        10 |         49.37 μs |       0.230 μs |       0.192 μs |         49.36 μs |       3.0518 |       1.5259 |          - |         25 KB |
|                                TinyCsvReader |        10 |         78.90 μs |       0.264 μs |       0.221 μs |         78.82 μs |       8.5449 |       2.1973 |          - |         70 KB |
|                                 TxtCsvHelper |        10 |         45.79 μs |       0.253 μs |       0.236 μs |         45.83 μs |       4.0283 |       1.3428 |          - |         33 KB |
|                                 **RecordParser** |       **100** |      **5,291.45 μs** |      **22.441 μs** |      **20.991 μs** |      **5,285.60 μs** |      **31.2500** |      **15.6250** |          **-** |        **257 KB** |
|                                       ChoEtl |       100 |      6,743.03 μs |      10.478 μs |       9.802 μs |      6,739.73 μs |     125.0000 |      46.8750 |          - |      1,063 KB |
|                            CommonLibrary_Net |       100 |      1,696.17 μs |       5.671 μs |       5.305 μs |      1,694.44 μs |     189.4531 |      66.4063 |          - |      1,556 KB |
|                                          Csv |       100 |      1,975.35 μs |      11.982 μs |      10.005 μs |      1,976.62 μs |     125.0000 |      31.2500 |          - |      1,048 KB |
|                                      CSVFile |       100 |        291.42 μs |       1.502 μs |       1.405 μs |        291.70 μs |      61.5234 |      15.1367 |          - |        503 KB |
|                                    CsvHelper |       100 |        262.72 μs |       2.897 μs |       2.710 μs |        261.54 μs |       8.3008 |       2.9297 |          - |         71 KB |
|                           CsvTextFieldParser |       100 |        343.68 μs |       0.705 μs |       0.625 μs |        343.83 μs |      53.2227 |      13.1836 |          - |        437 KB |
|                                     CsvTools |       100 |        497.83 μs |       1.513 μs |       1.415 μs |        497.69 μs |      29.2969 |       7.8125 |          - |        246 KB |
|                                     Ctl_Data |       100 |        167.55 μs |       0.441 μs |       0.412 μs |        167.68 μs |      31.7383 |       8.7891 |          - |        260 KB |
|                                    Cursively |       100 |        168.05 μs |       0.620 μs |       0.580 μs |        167.92 μs |       8.7891 |       2.9297 |          - |         72 KB |
|                                FastCsvParser |       100 |        245.64 μs |       3.414 μs |       3.026 μs |        244.83 μs |      73.7305 |      52.7344 |    38.0859 |        420 KB |
|                                    FlatFiles |       100 |        758.57 μs |       3.665 μs |       3.429 μs |        759.33 μs |      41.9922 |      10.7422 |          - |        343 KB |
|                                    FluentCsv |       100 |        176.87 μs |       1.494 μs |       1.397 μs |        177.67 μs |      30.2734 |       7.5684 |          - |        249 KB |
|                                    HomeGrown |       100 |        289.19 μs |       3.270 μs |       3.059 μs |        288.01 μs |      15.6250 |       4.8828 |          - |        129 KB |
|                                    LinqToCsv |       100 |        449.83 μs |       3.320 μs |       3.105 μs |        450.81 μs |      73.7305 |      18.0664 |          - |        603 KB |
|                          LumenWorksCsvReader |       100 |        309.43 μs |       0.833 μs |       0.779 μs |        309.47 μs |      68.3594 |      16.6016 |          - |        561 KB |
|                              mgholam_fastCSV |       100 |        185.68 μs |       1.585 μs |       1.482 μs |        185.03 μs |      64.4531 |      51.2695 |    38.5742 |        340 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |       100 |      1,894.82 μs |      13.031 μs |      11.551 μs |      1,892.46 μs |     619.1406 |     148.4375 |          - |      5,062 KB |
|                                    NReco_Csv |       100 |        201.98 μs |       1.418 μs |       1.326 μs |        201.70 μs |      25.3906 |       8.3008 |          - |        209 KB |
|                            ServiceStack_Text |       100 |        225.81 μs |       1.378 μs |       1.221 μs |        225.51 μs |      34.9121 |       8.5449 |          - |        286 KB |
|                                 Sky_Data_Csv |       100 |        276.31 μs |       2.540 μs |       2.376 μs |        277.05 μs |      67.3828 |      49.3164 |    26.3672 |        594 KB |
|                                 string_Split |       100 |        174.58 μs |       0.580 μs |       0.542 μs |        174.60 μs |      30.2734 |       7.5684 |          - |        248 KB |
|                       SoftCircuits_CsvParser |       100 |        179.81 μs |       0.195 μs |       0.173 μs |        179.81 μs |      27.0996 |       7.3242 |          - |        222 KB |
|                              Sylvan_Data_Csv |       100 |        183.72 μs |       0.428 μs |       0.401 μs |        183.67 μs |      15.6250 |       5.3711 |          - |        128 KB |
|                                TinyCsvReader |       100 |        525.22 μs |       2.799 μs |       2.619 μs |        525.19 μs |      83.9844 |      20.5078 |          - |        686 KB |
|                                 TxtCsvHelper |       100 |        183.70 μs |       0.697 μs |       0.652 μs |        183.58 μs |      34.1797 |       8.5449 |          - |        279 KB |
|                                 **RecordParser** |      **1000** |      **7,258.13 μs** |      **16.739 μs** |      **15.658 μs** |      **7,253.71 μs** |     **101.5625** |      **46.8750** |    **15.6250** |        **858 KB** |
|                                       ChoEtl |      1000 |     64,346.57 μs |     256.904 μs |     240.308 μs |     64,219.40 μs |    1000.0000 |            - |          - |      9,924 KB |
|                            CommonLibrary_Net |      1000 |     20,847.24 μs |      89.254 μs |      79.121 μs |     20,856.73 μs |    1875.0000 |     875.0000 |   125.0000 |     15,094 KB |
|                                          Csv |      1000 |     19,107.60 μs |      69.599 μs |      61.698 μs |     19,111.78 μs |    1250.0000 |     500.0000 |          - |     10,238 KB |
|                                      CSVFile |      1000 |      2,875.89 μs |      16.174 μs |      14.338 μs |      2,872.87 μs |     597.6563 |     203.1250 |          - |      4,893 KB |
|                                    CsvHelper |      1000 |      2,273.30 μs |      31.094 μs |      29.085 μs |      2,284.49 μs |      62.5000 |      23.4375 |          - |        541 KB |
|                           CsvTextFieldParser |      1000 |      3,234.08 μs |      16.224 μs |      15.176 μs |      3,234.51 μs |     515.6250 |     226.5625 |          - |      4,212 KB |
|                                     CsvTools |      1000 |      4,538.39 μs |       9.556 μs |       8.471 μs |      4,538.34 μs |     257.8125 |     109.3750 |          - |      2,153 KB |
|                                     Ctl_Data |      1000 |      1,526.46 μs |       4.552 μs |       4.258 μs |      1,526.35 μs |     298.8281 |     105.4688 |          - |      2,453 KB |
|                                    Cursively |      1000 |      1,374.34 μs |      12.146 μs |      11.362 μs |      1,378.87 μs |      83.9844 |      33.2031 |          - |        690 KB |
|                                FastCsvParser |      1000 |      2,054.51 μs |      13.182 μs |      12.330 μs |      2,052.28 μs |     335.9375 |     207.0313 |    70.3125 |      2,429 KB |
|                                    FlatFiles |      1000 |      7,302.10 μs |      15.187 μs |      14.206 μs |      7,299.70 μs |     390.6250 |     171.8750 |          - |      3,195 KB |
|                                    FluentCsv |      1000 |      1,491.56 μs |      14.254 μs |      12.636 μs |      1,495.56 μs |     292.9688 |     121.0938 |          - |      2,391 KB |
|                                    HomeGrown |      1000 |      2,360.00 μs |       9.192 μs |       8.149 μs |      2,360.24 μs |     144.5313 |      66.4063 |          - |      1,206 KB |
|                                    LinqToCsv |      1000 |      4,352.96 μs |      21.853 μs |      19.372 μs |      4,357.88 μs |     703.1250 |     289.0625 |          - |      5,753 KB |
|                          LumenWorksCsvReader |      1000 |      2,883.51 μs |      13.870 μs |      12.974 μs |      2,881.11 μs |     652.3438 |     312.5000 |          - |      5,355 KB |
|                              mgholam_fastCSV |      1000 |      1,341.28 μs |      25.513 μs |      23.864 μs |      1,341.95 μs |     199.2188 |     113.2813 |    35.1563 |      1,480 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |      1000 |     19,028.53 μs |     102.491 μs |      90.856 μs |     19,045.66 μs |    5968.7500 |     625.0000 |    31.2500 |     48,898 KB |
|                                    NReco_Csv |      1000 |      1,640.85 μs |      16.513 μs |      15.446 μs |      1,639.87 μs |     156.2500 |      54.6875 |          - |      1,286 KB |
|                            ServiceStack_Text |      1000 |      2,118.50 μs |      37.175 μs |      34.774 μs |      2,122.09 μs |     335.9375 |     152.3438 |          - |      2,766 KB |
|                                 Sky_Data_Csv |      1000 |      1,980.29 μs |      24.047 μs |      21.317 μs |      1,979.18 μs |     359.3750 |     218.7500 |    62.5000 |      2,706 KB |
|                                 string_Split |      1000 |      1,375.45 μs |      20.226 μs |      18.919 μs |      1,372.46 μs |     292.9688 |     121.0938 |          - |      2,391 KB |
|                       SoftCircuits_CsvParser |      1000 |      1,612.07 μs |       4.699 μs |       3.924 μs |      1,610.84 μs |     257.8125 |     111.3281 |          - |      2,119 KB |
|                              Sylvan_Data_Csv |      1000 |      1,493.00 μs |       5.691 μs |       5.324 μs |      1,493.76 μs |     103.5156 |      66.4063 |    35.1563 |        692 KB |
|                                TinyCsvReader |      1000 |      5,280.32 μs |      20.279 μs |      18.969 μs |      5,279.89 μs |     812.5000 |     304.6875 |          - |      6,647 KB |
|                                 TxtCsvHelper |      1000 |      1,619.14 μs |      14.765 μs |      13.811 μs |      1,613.75 μs |     326.1719 |     138.6719 |          - |      2,675 KB |
|                                 **RecordParser** |     **10000** |     **26,175.89 μs** |      **76.099 μs** |      **71.183 μs** |     **26,159.73 μs** |     **437.5000** |     **250.0000** |    **62.5000** |      **3,444 KB** |
|                                       ChoEtl |     10000 |    657,374.63 μs |   4,295.141 μs |   3,807.531 μs |    657,317.40 μs |   12000.0000 |    2000.0000 |          - |     98,719 KB |
|                            CommonLibrary_Net |     10000 |    269,809.56 μs |   1,222.223 μs |   1,083.469 μs |    270,051.75 μs |   19500.0000 |    7000.0000 |  2500.0000 |    151,989 KB |
|                                          Csv |     10000 |    209,157.10 μs |   2,903.108 μs |   2,715.569 μs |    209,471.93 μs |   13333.3333 |    3000.0000 |  1333.3333 |    102,429 KB |
|                                      CSVFile |     10000 |     46,156.09 μs |     917.063 μs |     981.247 μs |     46,052.47 μs |    6833.3333 |    2333.3333 |   916.6667 |     49,234 KB |
|                                    CsvHelper |     10000 |     23,325.06 μs |     103.322 μs |      86.278 μs |     23,315.10 μs |     437.5000 |     281.2500 |    93.7500 |      3,206 KB |
|                           CsvTextFieldParser |     10000 |     48,664.07 μs |     645.409 μs |     603.716 μs |     48,906.54 μs |    5909.0909 |    2090.9091 |   909.0909 |     42,431 KB |
|                                     CsvTools |     10000 |     61,852.04 μs |     231.948 μs |     216.964 μs |     61,883.17 μs |    3000.0000 |    1444.4444 |   555.5556 |     21,365 KB |
|                                     Ctl_Data |     10000 |     38,545.76 μs |     120.071 μs |     112.315 μs |     38,559.84 μs |    3857.1429 |    1857.1429 |   928.5714 |     24,537 KB |
|                                    Cursively |     10000 |     15,373.56 μs |     131.757 μs |     123.245 μs |     15,407.17 μs |     531.2500 |     250.0000 |    93.7500 |      4,208 KB |
|                                FastCsvParser |     10000 |     34,701.42 μs |     681.051 μs |     784.299 μs |     34,773.84 μs |    2933.3333 |    1400.0000 |   533.3333 |     21,477 KB |
|                                    FlatFiles |     10000 |     88,126.43 μs |   1,088.265 μs |   1,017.964 μs |     87,569.88 μs |    4333.3333 |    1500.0000 |   500.0000 |     31,975 KB |
|                                    FluentCsv |     10000 |     31,120.18 μs |     504.113 μs |     471.547 μs |     30,865.18 μs |    3687.5000 |    1750.0000 |   812.5000 |     24,037 KB |
|                                    HomeGrown |     10000 |     35,372.57 μs |     546.062 μs |     510.787 μs |     35,691.35 μs |    1733.3333 |    1000.0000 |   333.3333 |     12,121 KB |
|                                    LinqToCsv |     10000 |     68,711.00 μs |   1,015.039 μs |     949.468 μs |     68,840.94 μs |    8000.0000 |    2750.0000 |  1250.0000 |     57,836 KB |
|                          LumenWorksCsvReader |     10000 |     47,572.40 μs |     229.347 μs |     191.515 μs |     47,573.66 μs |    7272.7273 |    2363.6364 |   909.0909 |     53,734 KB |
|                              mgholam_fastCSV |     10000 |     18,742.83 μs |     272.500 μs |     254.897 μs |     18,828.52 μs |    1687.5000 |     843.7500 |   218.7500 |     12,927 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |     10000 |    208,996.31 μs |   2,842.546 μs |   2,519.843 μs |    208,732.35 μs |   62000.0000 |    7333.3333 |  2000.0000 |    491,350 KB |
|                                    NReco_Csv |     10000 |     28,393.26 μs |      57.125 μs |      47.702 μs |     28,401.05 μs |    1781.2500 |    1062.5000 |   375.0000 |     12,206 KB |
|                            ServiceStack_Text |     10000 |     39,005.52 μs |     773.231 μs |     949.597 μs |     38,624.41 μs |    4285.7143 |    1928.5714 |   928.5714 |     27,787 KB |
|                                 Sky_Data_Csv |     10000 |     37,297.93 μs |     221.006 μs |     206.729 μs |     37,352.19 μs |    3571.4286 |    1714.2857 |   714.2857 |     24,047 KB |
|                                 string_Split |     10000 |     31,263.33 μs |     491.939 μs |     460.160 μs |     31,433.85 μs |    3687.5000 |    1750.0000 |   812.5000 |     24,036 KB |
|                       SoftCircuits_CsvParser |     10000 |     31,622.60 μs |     153.563 μs |     143.643 μs |     31,670.64 μs |    3000.0000 |    1375.0000 |   562.5000 |     21,303 KB |
|                              Sylvan_Data_Csv |     10000 |     16,949.91 μs |      85.217 μs |      79.712 μs |     16,952.73 μs |     406.2500 |     250.0000 |    93.7500 |      3,390 KB |
|                                TinyCsvReader |     10000 |     72,774.49 μs |   1,167.794 μs |     975.161 μs |     72,849.69 μs |    8857.1429 |    2571.4286 |  1000.0000 |     66,824 KB |
|                                 TxtCsvHelper |     10000 |     34,912.00 μs |     665.385 μs |     739.574 μs |     34,821.83 μs |    4200.0000 |    1933.3333 |   933.3333 |     26,852 KB |
|                                 **RecordParser** |    **100000** |    **205,927.90 μs** |     **557.009 μs** |     **521.027 μs** |    **206,006.47 μs** |    **3666.6667** |    **2000.0000** |   **666.6667** |     **27,740 KB** |
|                                       ChoEtl |    100000 |  6,575,249.95 μs |  27,577.081 μs |  25,795.619 μs |  6,572,347.40 μs |  124000.0000 |   32000.0000 |  4000.0000 |    985,852 KB |
|                            CommonLibrary_Net |    100000 |  2,980,945.11 μs |  56,549.920 μs |  62,855.086 μs |  2,999,739.60 μs |  184000.0000 |   65000.0000 |  7000.0000 |  1,517,144 KB |
|                                          Csv |    100000 |  2,039,206.41 μs |   9,522.945 μs |   8,907.769 μs |  2,037,420.30 μs |  129000.0000 |   34000.0000 |  4000.0000 |  1,023,414 KB |
|                                      CSVFile |    100000 |    466,471.98 μs |   3,779.904 μs |   2,951.100 μs |    466,214.85 μs |   64000.0000 |   24000.0000 |  5000.0000 |    491,423 KB |
|                                    CsvHelper |    100000 |    230,185.62 μs |   2,267.728 μs |   2,010.282 μs |    230,266.98 μs |    3666.6667 |    2000.0000 |   666.6667 |     27,501 KB |
|                           CsvTextFieldParser |    100000 |    498,941.91 μs |   4,549.520 μs |   4,255.624 μs |    498,707.00 μs |   55000.0000 |   22000.0000 |  4000.0000 |    423,677 KB |
|                                     CsvTools |    100000 |    606,814.67 μs |   5,508.382 μs |   5,152.544 μs |    608,244.20 μs |   27000.0000 |   10000.0000 |  2000.0000 |    212,788 KB |
|                                     Ctl_Data |    100000 |    398,060.79 μs |   7,923.747 μs |  11,614.526 μs |    399,652.70 μs |   32000.0000 |   13000.0000 |  3000.0000 |    244,683 KB |
|                                    Cursively |    100000 |    158,054.48 μs |     523.905 μs |     437.484 μs |    158,009.83 μs |    4500.0000 |    1750.0000 |   500.0000 |     36,236 KB |
|                                FastCsvParser |    100000 |    323,441.69 μs |   2,976.438 μs |   2,784.162 μs |    323,568.30 μs |   27000.0000 |   10000.0000 |  2000.0000 |    211,180 KB |
|                                    FlatFiles |    100000 |    877,199.13 μs |   7,403.173 μs |   6,924.933 μs |    879,465.80 μs |   41000.0000 |   13000.0000 |  3000.0000 |    318,884 KB |
|                                    FluentCsv |    100000 |    287,144.77 μs |   3,876.824 μs |   3,436.703 μs |    288,148.55 μs |   32000.0000 |   13000.0000 |  3000.0000 |    239,683 KB |
|                                    HomeGrown |    100000 |    362,777.41 μs |   6,886.591 μs |   6,441.722 μs |    359,957.60 μs |   16000.0000 |    9000.0000 |  2000.0000 |    120,586 KB |
|                                    LinqToCsv |    100000 |    649,622.23 μs |   8,850.378 μs |   8,278.649 μs |    645,067.90 μs |   75000.0000 |   24000.0000 |  5000.0000 |    577,477 KB |
|                          LumenWorksCsvReader |    100000 |    541,308.61 μs |   8,189.609 μs |   7,660.566 μs |    544,846.50 μs |   70000.0000 |   25000.0000 |  5000.0000 |    536,462 KB |
|                              mgholam_fastCSV |    100000 |    297,903.11 μs |   1,008.996 μs |     943.816 μs |    298,302.10 μs |   17000.0000 |    7000.0000 |  1500.0000 |    129,668 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |    100000 |  1,983,800.77 μs |   6,979.023 μs |   6,528.182 μs |  1,986,085.40 μs |  605000.0000 |  130000.0000 |  5000.0000 |  4,909,509 KB |
|                                    NReco_Csv |    100000 |    283,323.70 μs |   5,637.782 μs |   6,266.380 μs |    278,877.70 μs |   16000.0000 |    9000.0000 |  2000.0000 |    120,720 KB |
|                            ServiceStack_Text |    100000 |    355,526.44 μs |   3,666.830 μs |   3,250.549 μs |    354,971.20 μs |   35000.0000 |   11000.0000 |  2000.0000 |    277,182 KB |
|                                 Sky_Data_Csv |    100000 |    314,900.96 μs |   6,228.478 μs |   6,664.402 μs |    316,528.75 μs |   30000.0000 |   12000.0000 |  2000.0000 |    236,677 KB |
|                                 string_Split |    100000 |    302,643.07 μs |   4,307.936 μs |   4,029.646 μs |    304,221.65 μs |   31000.0000 |   12000.0000 |  2000.0000 |    239,681 KB |
|                       SoftCircuits_CsvParser |    100000 |    288,021.64 μs |   2,422.902 μs |   2,266.384 μs |    288,309.70 μs |   27000.0000 |   10000.0000 |  2000.0000 |    212,339 KB |
|                              Sylvan_Data_Csv |    100000 |    160,956.69 μs |   1,810.999 μs |   1,694.009 μs |    161,345.90 μs |    3750.0000 |    2250.0000 |   750.0000 |     27,685 KB |
|                                TinyCsvReader |    100000 |    737,173.13 μs |  13,825.287 μs |  12,932.182 μs |    738,438.40 μs |   85000.0000 |   26000.0000 |  4000.0000 |    667,366 KB |
|                                 TxtCsvHelper |    100000 |    290,927.07 μs |   1,051.401 μs |     932.040 μs |    291,109.95 μs |   34000.0000 |   11000.0000 |  2000.0000 |    267,810 KB |
|                                 **RecordParser** |   **1000000** |  **2,181,928.71 μs** |   **9,070.618 μs** |   **8,484.662 μs** |  **2,180,606.60 μs** |   **33000.0000** |   **18000.0000** |  **3000.0000** |    **267,081 KB** |
|                                       ChoEtl |   1000000 | 65,816,072.45 μs |  89,899.730 μs |  84,092.263 μs | 65,798,606.70 μs | 1212000.0000 |  321000.0000 |  8000.0000 |  9,853,936 KB |
|                            CommonLibrary_Net |   1000000 | 28,985,013.51 μs | 122,920.532 μs | 102,644.211 μs | 28,996,436.10 μs | 1789000.0000 |  660000.0000 | 16000.0000 | 15,154,823 KB |
|                                          Csv |   1000000 | 20,514,177.11 μs |  68,890.468 μs |  64,440.187 μs | 20,500,327.80 μs | 1258000.0000 |  336000.0000 |  8000.0000 | 10,230,082 KB |
|                                      CSVFile |   1000000 |  4,688,424.59 μs |  55,964.798 μs |  52,349.507 μs |  4,700,374.20 μs |  608000.0000 |  221000.0000 |  9000.0000 |  4,910,299 KB |
|                                    CsvHelper |   1000000 |  2,441,811.71 μs |  18,358.990 μs |  16,274.767 μs |  2,437,663.10 μs |   33000.0000 |   18000.0000 |  3000.0000 |    266,840 KB |
|                           CsvTextFieldParser |   1000000 |  4,986,469.99 μs |  14,581.944 μs |  11,384.623 μs |  4,988,080.70 μs |  524000.0000 |  147000.0000 |  8000.0000 |  4,232,602 KB |
|                                     CsvTools |   1000000 |  6,477,306.48 μs |  29,175.951 μs |  25,863.720 μs |  6,470,776.25 μs |  264000.0000 |   97000.0000 |  6000.0000 |  2,123,474 KB |
|                                     Ctl_Data |   1000000 |  3,843,880.39 μs |  31,036.725 μs |  30,482.214 μs |  3,849,156.85 μs |  303000.0000 |  104000.0000 |  6000.0000 |  2,442,632 KB |
|                                    Cursively |   1000000 |  1,735,615.41 μs |  13,074.555 μs |  12,229.947 μs |  1,736,749.90 μs |   44000.0000 |   17000.0000 |  3000.0000 |    352,922 KB |
|                                FastCsvParser |   1000000 |  3,764,874.97 μs |  22,683.464 μs |  21,218.126 μs |  3,758,978.80 μs |  261000.0000 |   91000.0000 |  6000.0000 |  2,104,695 KB |
|                                    FlatFiles |   1000000 |  9,249,579.79 μs |  29,916.099 μs |  27,983.537 μs |  9,243,635.50 μs |  395000.0000 |  105000.0000 |  7000.0000 |  3,184,523 KB |
|                                    FluentCsv |   1000000 |  3,201,906.73 μs |  19,535.457 μs |  16,312.991 μs |  3,202,847.50 μs |  297000.0000 |  107000.0000 |  6000.0000 |  2,392,908 KB |
|                                    HomeGrown |   1000000 |  4,342,755.75 μs |  56,577.206 μs |  52,922.354 μs |  4,363,283.30 μs |  151000.0000 |   80000.0000 |  6000.0000 |  1,201,573 KB |
|                                    LinqToCsv |   1000000 |  6,386,585.83 μs |  40,161.285 μs |  37,566.891 μs |  6,365,630.10 μs |  713000.0000 |  194000.0000 |  9000.0000 |  5,770,521 KB |
|                          LumenWorksCsvReader |   1000000 |  4,909,382.80 μs |  43,334.953 μs |  36,186.648 μs |  4,917,253.50 μs |  662000.0000 |  214000.0000 |  8000.0000 |  5,360,376 KB |
|                              mgholam_fastCSV |   1000000 |  3,182,036.33 μs |  61,805.230 μs |  60,701.000 μs |  3,212,013.40 μs |  160000.0000 |   57000.0000 |  5000.0000 |  1,291,174 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |   1000000 | 19,648,945.58 μs |  92,508.557 μs |  82,006.426 μs | 19,630,153.35 μs | 6016000.0000 | 1294000.0000 |  9000.0000 | 49,090,660 KB |
|                                    NReco_Csv |   1000000 |  3,446,358.95 μs |  47,623.563 μs |  44,547.111 μs |  3,427,833.50 μs |  151000.0000 |   80000.0000 |  6000.0000 |  1,202,325 KB |
|                            ServiceStack_Text |   1000000 |  4,021,399.65 μs |  20,213.576 μs |  18,907.792 μs |  4,019,489.20 μs |  343000.0000 |   91000.0000 |  6000.0000 |  2,767,914 KB |
|                                 Sky_Data_Csv |   1000000 |  3,605,426.46 μs |  39,210.038 μs |  34,758.677 μs |  3,599,999.20 μs |  292000.0000 |  106000.0000 |  6000.0000 |  2,359,396 KB |
|                                 string_Split |   1000000 |  3,154,266.86 μs |  41,193.218 μs |  38,532.161 μs |  3,168,175.00 μs |  297000.0000 |  103000.0000 |  6000.0000 |  2,392,906 KB |
|                       SoftCircuits_CsvParser |   1000000 |  3,421,167.59 μs |  31,830.189 μs |  29,773.979 μs |  3,427,937.40 μs |  263000.0000 |   92000.0000 |  6000.0000 |  2,119,477 KB |
|                              Sylvan_Data_Csv |   1000000 |  1,700,206.74 μs |   8,593.304 μs |   7,175.798 μs |  1,700,551.40 μs |   33000.0000 |   18000.0000 |  3000.0000 |    267,027 KB |
|                                TinyCsvReader |   1000000 |  7,064,042.28 μs |  54,546.285 μs |  51,022.629 μs |  7,057,481.70 μs |  822000.0000 |  216000.0000 |  8000.0000 |  6,669,740 KB |
|                                 TxtCsvHelper |   1000000 |  3,425,045.79 μs |  35,855.358 μs |  33,539.124 μs |  3,433,716.60 μs |  331000.0000 |   91000.0000 |  6000.0000 |  2,674,159 KB |
